#ifndef ICONSIZEWIDGET_H
#define ICONSIZEWIDGET_H

#include <QWidget>

#include <flyfm/iconsize.h>

class QSlider;
class QToolButton;

namespace FlyFM
{

class IconSizeWidget : public QWidget
{
    Q_OBJECT
public:
    explicit IconSizeWidget(IconSize iconSize = IconSize(), QWidget *parent = nullptr);

    IconSize iconSize() const;

public slots:
    void setIconSize(IconSize iconSize);
    void zoomIn();
    void zoomOut();

signals:
    void iconSizeChanged(IconSize iconSize);

private slots:
    void processNewSliderValue(int value);
    void processSliderMoving(int value);

private:
    void setSizeTooltip(int value);

    QSlider *m_slider;
    QToolButton *m_zoomInButton;
    QToolButton *m_zoomOutButton;
};

}

#endif // ICONSIZEWIDGET_H
